/*!
 * (C) Copyright IBM Corp. 2006, 2006
 *
 * \file halt.c
 * \brief halt, reboot, power_off
 *
 * $Id: halt.c,v 1.1.2.1 2006/08/08 14:44:34 loehr Exp $
 *
 * Author(s): Swen Schillig   (swen@vnet.ibm.com)
 *
 */

#include <sys/reboot.h>
#include <unistd.h>
#include <stdio.h>
#include <libgen.h>


int main(int argc, char **argv)
{
    const int flag[] = { RB_AUTOBOOT,
                         RB_HALT_SYSTEM,
                         RB_POWER_OFF
                       };

    const char *mode = "rhp";
    int cc ;
    char * calling = basename(argv[0]);

    for(cc=0; (cc < 3) && (mode[cc] != *calling); cc++);

    if(cc > 2)
    {
        fprintf(stderr,"Unknown 'halt' variation.\n");
        return(1);
    }
    sync();
    return reboot(flag[cc]);
}
