/*!
 * (C) Copyright IBM Corp. 2005
 *
 * \file insfile.h
 * \brief general definitions for the insfile loader
 *
 * $Id: insfile.h,v 1.4 2006/02/09 16:17:57 loehr Exp $
 *
 * Author(s): Ralph Wuerthner (rwuerthn@de.ibm.com)
 *            Michael Loehr   (mloehr@de.ibm.com)
 *
 */

#ifndef _INSFILE_H_
#define _INSFILE_H_

#include "config.h"

/**
 * types of components referenced by *.ins-file
 */
enum ins_component_type {
  INS_KERNEL,     //!< must be the first entry of this enum!
  INS_INITRD,     //!< component was identified as initrd
  INS_PARMFILE,   //!< component was identified as parmfile
  INS_INITRDSIZE, //!< component was identified as initrd size
  INS_OTHER,      //!< component was not identified
  INS_LAST //!< must be the last entry of this enum!
};

char *action_insfile_boot(struct cfg_bentry *boot);

#endif /* #ifndef _INSFILE_H_ */
