/*!
 * (C) Copyright IBM Corp. 2006
 *
 * \file modbase.h
 * \brief information to communicate module settings
 *
 * $Id: modbase.h,v 1.2 2006/05/23 15:27:08 loehr Exp $
 *
 * Author(s): Michael Loehr   (mloehr@de.ibm.com)
 *
 */


#ifndef _MODBASE_H_
#define _MODBASE_H_


/**
 * This structure describes the information to load a module
 */

struct mb_conf {
	char *name;
	char *param;
	char *kernelversion;
};


struct mb_conf *mb_conf_new();
void mb_conf_init(struct mb_conf *modconf);
void mb_conf_destroy(struct mb_conf *modconf);
void mb_conf_reset(struct mb_conf *modconf);
void mb_conf_free(struct mb_conf **modconf);
void mb_conf_print(struct mb_conf *modconf);
void mb_conf_load(struct mb_conf *modconf);


#endif /* #ifndef _MODBASE_H_ */
